Page MenuHomePhabricator

Update article count on hawiki
Closed, DeclinedPublic

Description

Please run mwscript updateArticleCount.php --update --wiki=hawiki or whatever is more appropriate on hawiki. I believe the stats are incorrect because whenever a page is moved the number goes down by one and never come back. Have observed so for a while.

Event Timeline

Ammarpad created this task.May 5 2019, 4:38 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2019, 4:38 AM
Ammarpad updated the task description. (Show Details)May 5 2019, 4:38 AM
Zoranzoki21 updated the task description. (Show Details)May 5 2019, 12:12 PM
Zoranzoki21 added a subscriber: Reedy.
Reedy added a comment.May 5 2019, 9:09 PM

It should've been updated on the 1st...

Reedy added a comment.May 5 2019, 9:20 PM

I believe the stats are incorrect because whenever a page is moved the number goes down by one and never come back. Have observed so for a while.

See T195550: Increment edit count for all page moves, not just Special:MovePage moves

Ammarpad added a comment.EditedMay 6 2019, 9:23 AM

It should've been updated on the 1st...

1st May? June? I am afraid, this is not clear

I believe the stats are incorrect because whenever a page is moved the number goes down by one and never come back. Have observed so for a while.

See T195550: Increment edit count for all page moves, not just Special:MovePage moves

I am not sure what's relationship of this task with that. That task is about upping number of edits by a user when they move a page, this task is about Special:Statistics number going down by one whenever a page is moved. For instance currently ha:Special:Statistics reports 3,477 for number of articles. Once I move any article the number will decrease by 1 and becomes 3,476, even though the page is not deleted.

Reedy added a comment.May 6 2019, 3:23 PM

It should've been updated on the 1st...

1st May? June? I am afraid, this is not clear

1st of every month. And the 15th too, but we've just had the 1st May, so it should've been updated ~4 days before this report

Dcljr added a subscriber: Dcljr.May 7 2019, 5:26 AM

this task is about Special:Statistics number going down by one whenever a page is moved. For instance currently ha:Special:Statistics reports 3,477 for number of articles. Once I move any article the number will decrease by 1 and becomes 3,476, even though the page is not deleted.

FYI, this same behavior seemed to be happening at the recently created hywwiki (Western Armenian WP) as pages were being moved from their titles as imported from hywiki (Armenian WP) to new titles appropriate for hywwiki. (I reported this at the time at m:Wikimedia News#April 2019 — see the 15 April entry.)

As the pages were being moved within the main namespace of hywwiki, I noticed a downward trend in the article count over a period of a few days (I was not seeing it happen "live", as I was not the one doing the moving). I couldn't find any evidence on-wiki that lots of pages were becoming wikilinkless or were being moved out of the main namespace, or were being deleted — any of which could have explained the decrease.

In any case, hywwiki has been recounted again since the mass page moving ceased, and the count bounced back up to (approximately) where it was the first time the stats were counted.

So, what I'm saying is, yeah, it looks like there may be an article-counting bug related to page moves.

@Dcljr The main problem is already known, see T212706: Moving a page lowers the number of articles on Special:Statistics, but no one is working on fixing it. It was once fixed some years ago as T66333 before resurfacing again.

Dcljr added a comment.May 7 2019, 6:47 AM

Oh. Thanks for linking to the relevant task.

Urbanecm closed this task as Declined.Jun 2 2019, 9:26 PM
Urbanecm added a subscriber: Urbanecm.

Marking as declined, since the core problem seems to be T212706: Moving a page lowers the number of articles on Special:Statistics and it's not needed to run the script.